[package]
name = "test_contract"
version = "0.1.0"
edition = "2021"
license = "MIT"

[lib]
crate-type = ['cdylib']

[dependencies]
pbc_contract_common = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
pbc_contract_codegen = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
pbc_traits = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
pbc_lib = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
read_write_rpc_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
read_write_state_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }
create_type_spec_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "v.16.68.0" }

serde_json = "1.0"

[features]
abi = [
  "pbc_contract_common/abi",
  "pbc_contract_codegen/abi",
  "pbc_traits/abi",
  "create_type_spec_derive/abi",
  "pbc_lib/abi",
]